path: /build/build/hatch-vcs-dev-python-0.5.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/hatch-vcs -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/hatch-vcs && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/hatch-vcs && \
    luet-portage --dir /pkgdir/hatch-vcs dev-python/hatch-vcs && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:95460f4378ce2970e7ef4804b7147b7cbbe1317f6776f72e7168b313cf71e017
  package:
    name: hatch-vcs
    version: 0.5.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: certifi
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Hatch plugin for versioning with your preferred VCS
    uri:
    - https://github.com/ofek/hatch-vcs
    buildtimestamp: 2025-10-15 23:06:35.824423408 +0000 UTC m=+730.302790655
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/hatchling-1.3.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/hatch-vcs
      kit: python-build-tools-kit
      original.package.name: dev-python/hatch-vcs
      original.package.slot: "0"
      original.package.version: 0.5.0
    treedir: /build/packages
  package_dir: /pkgdir/hatch-vcs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 61eb2d3ee3bc166d98690d69b1e1ea64041387b90d407503f9c1416d6bdce48d
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/hatch_vcs/__about__.py
- usr/lib/python3.9/site-packages/hatch_vcs/__init__.py
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/__about__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/__about__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/__about__.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/build_hook.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/build_hook.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/build_hook.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/hooks.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/hooks.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/hooks.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/metadata_hook.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/metadata_hook.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/metadata_hook.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/vcs_utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/vcs_utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/vcs_utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/version_source.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/version_source.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/__pycache__/version_source.cpython-39.pyc
- usr/lib/python3.9/site-packages/hatch_vcs/build_hook.py
- usr/lib/python3.9/site-packages/hatch_vcs/hooks.py
- usr/lib/python3.9/site-packages/hatch_vcs/metadata_hook.py
- usr/lib/python3.9/site-packages/hatch_vcs/vcs_utils.py
- usr/lib/python3.9/site-packages/hatch_vcs/version_source.py
- usr/lib/python3.9/site-packages/hatch_vcs-0.5.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/hatch_vcs-0.5.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/hatch_vcs-0.5.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/hatch_vcs-0.5.0.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/hatch_vcs-0.5.0.dist-info/licenses/LICENSE.txt
- usr/share/doc/hatch-vcs-0.5.0/README.md.bz2
- var/db/pkg/dev-python/hatch-vcs-0.5.0/BDEPEND
- var/db/pkg/dev-python/hatch-vcs-0.5.0/BUILD_TIME
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CATEGORY
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CBUILD
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CFLAGS
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CHOST
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CONTENTS
- var/db/pkg/dev-python/hatch-vcs-0.5.0/COUNTER
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CTARGET
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CXX
- var/db/pkg/dev-python/hatch-vcs-0.5.0/CXXFLAGS
- var/db/pkg/dev-python/hatch-vcs-0.5.0/DEFINED_PHASES
- var/db/pkg/dev-python/hatch-vcs-0.5.0/DESCRIPTION
- var/db/pkg/dev-python/hatch-vcs-0.5.0/EAPI
- var/db/pkg/dev-python/hatch-vcs-0.5.0/FEATURES
- var/db/pkg/dev-python/hatch-vcs-0.5.0/HOMEPAGE
- var/db/pkg/dev-python/hatch-vcs-0.5.0/INHERITED
- var/db/pkg/dev-python/hatch-vcs-0.5.0/IUSE
- var/db/pkg/dev-python/hatch-vcs-0.5.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/hatch-vcs-0.5.0/KEYWORDS
- var/db/pkg/dev-python/hatch-vcs-0.5.0/LDFLAGS
- var/db/pkg/dev-python/hatch-vcs-0.5.0/LICENSE
- var/db/pkg/dev-python/hatch-vcs-0.5.0/PF
- var/db/pkg/dev-python/hatch-vcs-0.5.0/RDEPEND
- var/db/pkg/dev-python/hatch-vcs-0.5.0/SIZE
- var/db/pkg/dev-python/hatch-vcs-0.5.0/SLOT
- var/db/pkg/dev-python/hatch-vcs-0.5.0/USE
- var/db/pkg/dev-python/hatch-vcs-0.5.0/environment.bz2
- var/db/pkg/dev-python/hatch-vcs-0.5.0/hatch-vcs-0.5.0.ebuild
- var/db/pkg/dev-python/hatch-vcs-0.5.0/repository
package_cacheimage: ""
runtime:
  name: hatch-vcs
  version: 0.5.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: setuptools_scm
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Hatch plugin for versioning with your preferred VCS
  uri:
  - https://github.com/ofek/hatch-vcs
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/hatchling-1.3.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/hatch-vcs
    kit: python-build-tools-kit
    original.package.name: dev-python/hatch-vcs
    original.package.slot: "0"
    original.package.version: 0.5.0
